### Function

# GLib unichar_break_type

#### Declaration

    GUnicodeBreakType
    g_unichar_break_type (
      gunichar c
    )

#### Description

Determines the break type of `c`. `c` should be a Unicode character (to derive a character from UTF-8 encoded text, use g_utf8_get_char()). The break type is used to find word and line breaks (“text boundaries”), Pango implements the Unicode boundary resolution algorithms and normally you would use a function such as `pango_break()` instead of caring about break types yourself.

#### Parameters

`c`

  Type: `gunichar`

  A Unicode character.

#### Return value

Type: `GUnicodeBreakType`

The break type of `c`.